For the complete documentation index, see llms.txt. This page is also available as Markdown.

Marketplace

Browse spot compute by hardware profile and location.

Browse spot capacity on the marketplace by hardware profile and country

get

Requires pools:read (View grids and servers).

Authorizations
AuthorizationstringRequired

An API key from Account settings, e.g. kn_...

Query parameters
gpuTypesstring[] · max: 20Optional

GPU models to include, e.g. H100

noGpubooleanOptional

CPU-only machines

gpusPerMachineintegerOptional

Exact GPU count per machine

minCpusintegerOptional

Minimum physical CPU packages

minRamGbintegerOptional

Minimum RAM in GB

minStorageGbintegerOptional

Minimum disk in GB

locationstring · min: 1Optional

Marketplace location key

vettedOnlybooleanOptional

Only machines from vetted providers

tierIdsstring[] · max: 20Optional

Provider tiers to include

minGuaranteedDaysintegerOptional

Minimum availability guarantee

minNoticeHoursintegerOptional

Minimum notice before a machine is withdrawn

Responses
200

OK

application/json
get/marketplace
GET /v1/marketplace HTTP/1.1
Host: api.kinesis.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "listings": [
    {
      "configId": "text",
      "hardwareProfile": "text",
      "gpuModel": null,
      "gpusPerMachine": 1,
      "vramGbPerGpu": 1,
      "cpuThreads": 1,
      "minCpuPackages": 1,
      "ramGb": 1,
      "storageGb": 1,
      "countryCode": "text",
      "locationLabel": "text",
      "tierIds": [
        "text"
      ],
      "isVetted": true,
      "totalMachines": 1,
      "availableMachines": 1,
      "minPriceCentsPerHour": 1,
      "maxPriceCentsPerHour": 1,
      "pricePerGpuHourCents": 1,
      "guaranteedDays": 1,
      "isOpenEnded": true,
      "noticeHours": 1
    }
  ],
  "summary": {
    "availableMachines": 1,
    "configurations": 1,
    "fromPriceCentsPerGpuHour": 1,
    "fromPriceCentsPerHour": 1
  },
  "truncated": true
}

Was this helpful?